//
// FILE:     Ball.java
// AUTHOR:   Eugene Wallingford 
// DATE:     2012/09/18
// COMMENT:  extracted from Ball class by Tim Budd in the textbook
//           Understanding Object-Oriented Programming with Java
//
// MODIFIED: none yet
// CHANGE:   none yet
//

import java.awt.Color;
import java.awt.Graphics;

public class Ball extends Disk
{
  private double deltaX;
  private double deltaY;

  public Ball( int x, int y, int r, double dx, double dy )
  {
    super( x, y, r );
    deltaX = dx;
    deltaY = dy;
  }

  public void move()
  {
    moveBy( (int) deltaX, (int) deltaY );
  }
  
  protected void reverseDeltaX()
  {
    deltaX *= -1;
  }

  protected void reverseDeltaY()
  {
    deltaY *= -1;
  }

  protected void adjustSpeedBy( double ddx, double ddy )
  {
    deltaX += ddx;
    deltaY += ddy;
  }

  protected void adjustSpeedBy( double factor )
  {
    deltaX += (deltaX * factor);
    deltaY += (deltaY * factor);
  }
}
